Package org.apache.felix.service.command

# Annotation Type Parameter

@Retention(RUNTIME) @Target(PARAMETER) public @interface Parameter

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`absentValue`
The default value of the parameter if its name is not present on the command line.
`String[]`
`names`
Parameter name and aliases which must start with the hyphen character.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`presentValue`
The default value of the parameter if its name is present on the command line.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`UNSPECIFIED`

## Field Details

### UNSPECIFIED

static final String UNSPECIFIED

See Also:
  - Constant Field Values

## Element Details

### names

String[] names
Parameter name and aliases which must start with the hyphen character.

Returns:
  parameter names.

### presentValue

String presentValue
The default value of the parameter if its name is present on the command line. If this value is specified, then the command parsing will not expect a value on the command line for this parameter. If this value is UNSPECIFIED, then an argument must be specified on the command line for the parameter.

Returns:
  default value of the parameter if its name is present on the command line.

Default:
  `"org.apache.felix.service.command.unspecified.parameter"`

### absentValue

String absentValue
The default value of the parameter if its name is not present on the command line. This value is effectively the default value for the parameter.

Returns:
  default value of the parameter if its name is not present on the command line.